Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 835424 - media-gfx/inkscape-1.1.1 w/ >=app-text/poppler-22.03.0: error: no matching function for call to ‘PDFDoc::PDFDoc(GooString*&, std::nullptr_t, std::nullptr_t, std::nullptr_t)’
Summary: media-gfx/inkscape-1.1.1 w/ >=app-text/poppler-22.03.0: error: no matching fu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 835426
  Show dependency tree
 
Reported: 2022-03-16 12:21 UTC by Andreas Sturmlechner
Modified: 2022-05-08 18:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-gfx:inkscape-1.1.1:20220316-121409.log.xz (media-gfx:inkscape-1.1.1:20220316-121409.log.xz,19.14 KB, application/x-xz)
2022-03-16 12:21 UTC, Andreas Sturmlechner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2022-03-16 12:21:35 UTC
Created attachment 767176 [details]
media-gfx:inkscape-1.1.1:20220316-121409.log.xz

$summary
Comment 1 Larry the Git Cow gentoo-dev 2022-03-18 21:30:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29b4c8365673eb0c8663e18103e94c09504fe92c

commit 29b4c8365673eb0c8663e18103e94c09504fe92c
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2022-03-18 20:33:43 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2022-03-18 21:30:22 +0000

    media-gfx/inkscape: Build fix for poppler-22.03.0
    
    Closes: https://bugs.gentoo.org/835424
    See also: https://gitlab.com/inkscape/inkscape/-/merge_requests/4116
    
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 .../files/inkscape-1.1.2-poppler-22.03.0.patch     | 38 ++++++++++++++++++++++
 media-gfx/inkscape/inkscape-1.1-r1.ebuild          |  3 ++
 media-gfx/inkscape/inkscape-1.1.1.ebuild           |  4 +++
 media-gfx/inkscape/inkscape-1.1.2.ebuild           |  4 +++
 4 files changed, 49 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2022-05-08 17:42:28 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea7abbfe5d1f6fbe2f25979b00e3d36651e0a041

commit ea7abbfe5d1f6fbe2f25979b00e3d36651e0a041
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-05-08 17:41:15 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-05-08 17:42:19 +0000

    media-gfx/inkscape: fix build with Poppler 22.04.0
    
    Also, switch out the 22.03.0 patch with the variant in upstream's
    1.1.x branch so that 22.04.x patch applies (from same place).
    
    Closes: https://bugs.gentoo.org/843275
    Closes: https://bugs.gentoo.org/835661
    Bug: https://bugs.gentoo.org/835424
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/inkscape-1.1.2-r1-poppler-22.03.0.patch  |  43 +++++
 .../files/inkscape-1.1.2-r1-poppler-22.04.0.patch  | 130 +++++++++++++++
 media-gfx/inkscape/inkscape-1.1.2-r1.ebuild        | 184 +++++++++++++++++++++
 3 files changed, 357 insertions(+)